# Adding more data

Run this query on the MariaDB server of Home Assistant:

```sql
SELECT metadata_id, state, from_unixtime(last_updated_ts) as datetime
FROM `states`
where metadata_id in (select metadata_id
                      from states_meta
                      where entity_id = 'sensor.co2_woonkamer_co2'
                         or entity_id = 'binary_sensor.woonkamer_raam'
                         or entity_id = 'switch.ventilator_switch'
                     )
  and last_updated_ts is not null
  and state != 'unknown' and state !='unavailable' and from_unixtime(last_updated_ts) > '2024-12-31T14_35_54'
order by datetime;
```

Don't forget to modify the date!  
Export it all as CSV, and place it in the `input` folder.
